[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GetSBRanges

Gets the range values for the scroll bars when visible.

## Declaration

Source position: grids.pas line 1111

`protected procedure TCustomGrid.GetSBRanges(`
`const HsbVisible: Boolean;`
`const VsbVisible: Boolean;`
`out HsbRange: Integer;`
`out VsbRange: Integer;`
`out HsbPage: Integer;`
`out VsbPage: Integer;`
`out HsbPos: Integer;`
`out VsbPos: Integer`
`); virtual;`

## Arguments

`HsbVisible` |  | True if the horizontal scroll bar is visible and updated in the method.
`VsbVisible` |  | True if the vertical scroll bar is visible and updated in the method.
`HsbRange` |  | Returns the horizontal scroll bar range, or 0 when the scroll bar is not visible.
`VsbRange` |  | Returns the vertical scroll bar range, or 0 when the scroll bar is not visible.
`HsbPage` |  | Returns the page size for the horizontal scroll bar (ClientWidth).
`VsbPage` |  | Returns the page size for the vertical scroll bar (ClientHeight).
`HsbPos` |  | Returns the position for the thumb bar on the horizontal scroll bar, or 0 if the scroll bar is not visible.
`VsbPos` |  | Returns the position for the thumb bar on the vertical scroll bar, or 0 if the scroll bar is not visible.

## Description

Called from the CalcScrollbarsRange method when the grid has been scrolled or when a size value in ColWidths has been changed.

## See also

TCustomGrid.CalcScrollbarsRange |  | Updates the range, page, and thumb position for visible scroll bars.
TCustomGrid.ColWidths |  | Provides indexed access to the Width for a column in the grid.
TCustomGrid.ScrollBy |  | Scrolls the non-fixed area for the control by the specified delta values.